#!/bin/bash
dest=/drbd-mounts/r0-web/clients/client2/web319/web/files
if [ $# -eq 0 ]; then
	echo "No version supplied"
	exit
fi
git checkout master
git pull
rm -rf /tmp/dkim-patch
mkdir /tmp/dkim-patch
cp -Rp * /tmp/dkim-patch
cd /tmp
if [ -f $dest/dkim-$1_ispconfig3.tar.gz ]; then
	echo "dkim-$1_ispconfig3.tar.gz exists"
	exit
fi
tar cfz $dest/dkim-$1_ispconfig3.tar.gz dkim-patch
cp dkim-patch/Changelog $dest/dkim-$1_ispconfig3.changelog
cd $dest
rm -f dkim-latest_ispconfig3.tar.gz
ln -s dkim-$1_ispconfig3.tar.gz dkim-latest_ispconfig3.tar.gz
