#!/bin/bash
# info@schaal-24.de - 27.06.2013

source /usr/local/nagios/libexec/utils.sh

AMAVISD=`which amavisd-new`
count=0
out=''
$AMAVISD testkeys|grep -v pass|sed -e "s/^TESTING\#[0-9]*\: default._domainkey.//"|{ while read line; do
	out=$out$line"\n"
 	count=$(( count + 1 ))
done;
out=`echo "${out%%??}"`

EL=$STATE_OK
RESULT="all domainkeys are properly defined"

if [ $count -ne 0 ]; then 
	EL=$STATE_WARNING
	RESULT="$count domains with dkim-error\n$out"
fi

echo -e $RESULT

exit $EL

}
